Debian Bug report logs - #680819
libcatalyst-actionrole-acl-perl: FTBFS: tests failed

version graph

Package: src:libcatalyst-actionrole-acl-perl; Maintainer for src:libcatalyst-actionrole-acl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:22:53 UTC

Severity: serious

Tags: confirmed, fixed-upstream, sid, wheezy

Found in version libcatalyst-actionrole-acl-perl/0.06-1

Fixed in version libcatalyst-actionrole-acl-perl/0.07-1

Done: jotamjr@debian.org.sv (Jotam Jr. Trejo)

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=78334

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680819; Package src:libcatalyst-actionrole-acl-perl. (Sun, 08 Jul 2012 17:22:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:22:57 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libcatalyst-actionrole-acl-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:09:00 +0200
Source: libcatalyst-actionrole-acl-perl
Version: 0.06-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
> t/00-load.t .......... ok
> 
> #   Failed test 'use TestApp;'
> #   at t/02-action-class.t line 13.
> #     Tried to use 'TestApp'.
> #     Error:  Can't locate Catalyst/Controller/ActionRole.pm in @INC (@INC contains: /«PKGBUILDDIR»/t/lib /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Module/Runtime.pm line 317.
> #  at /usr/lib/perl5/Moose.pm line 63
> # BEGIN failed--compilation aborted at /«PKGBUILDDIR»/t/lib/TestApp/Controller/Root.pm line 5.
> # Compilation failed in require at /usr/share/perl5/Catalyst/Utils.pm line 306.
> # Compilation failed in require at (eval 8) line 2.
> # BEGIN failed--compilation aborted at (eval 8) line 2.
> [error] No default action defined
> [error] Unknown resource "edit"
> 
> #   Failed test 'fetch /edit 200 OK'
> #   at t/02-action-class.t line 31.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 32.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'action: edit'
> [error] Unknown resource "killit"
> 
> #   Failed test 'fetch /killit 403 Forbidden'
> #   at t/02-action-class.t line 36.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 37.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "crews"
> 
> #   Failed test 'fetch /crews 403 Forbidden'
> #   at t/02-action-class.t line 41.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 42.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "crews"
> 
> #   Failed test 'fetch /crews?someparm=42 200 OK'
> #   at t/02-action-class.t line 49.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 50.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'action: crews'
> [error] Unknown resource "reese"
> 
> #   Failed test 'fetch /reese 403 Forbidden'
> #   at t/02-action-class.t line 55.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 56.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "reese"
> 
> #   Failed test 'fetch /reese 200 OK'
> #   at t/02-action-class.t line 61.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 62.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'action: reese'
> 
> #   Failed test 'fetch /reese 200 OK'
> #   at t/02-action-class.t line 66.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 67.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'action: reese'
> [error] Unknown resource "wolverines"
> 
> #   Failed test 'fetch /wolverines?attacker=spetznatz 403 Forbidden'
> #   at t/02-action-class.t line 73.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 74.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> 
> #   Failed test 'fetch /wolverines?attacker=spetznatz 403 Forbidden'
> #   at t/02-action-class.t line 78.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 79.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "wolverines"
> 
> #   Failed test 'fetch /wolverines?attacker=spetznatz 200 OK'
> #   at t/02-action-class.t line 83.
> 
> #   Failed test 'content correct'
> #   at t/02-action-class.t line 84.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestApp</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'action: wolverines'
> # Looks like you failed 21 tests of 21.
> t/02-action-class.t .. 
> Dubious, test returned 21 (wstat 5376, 0x1500)
> Failed 21/21 subtests 
> 
> #   Failed test 'use TestCanVisit;'
> #   at t/03-can_visit.t line 13.
> #     Tried to use 'TestCanVisit'.
> #     Error:  Can't locate Catalyst/Controller/ActionRole.pm in @INC (@INC contains: /«PKGBUILDDIR»/t/lib /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Module/Runtime.pm line 317.
> #  at /usr/lib/perl5/Moose.pm line 63
> # BEGIN failed--compilation aborted at /«PKGBUILDDIR»/t/lib/TestCanVisit/Controller/Root.pm line 5.
> # Compilation failed in require at /usr/share/perl5/Catalyst/Utils.pm line 306.
> # Compilation failed in require at (eval 8) line 2.
> # BEGIN failed--compilation aborted at (eval 8) line 2.
> [error] No default action defined
> [error] Unknown resource "access"
> 
> #   Failed test 'user cannot visit 'edit''
> #   at t/03-can_visit.t line 32.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestCanVisit</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'no'
> [error] Unknown resource "access"
> 
> #   Failed test 'user can visit 'edit''
> #   at t/03-can_visit.t line 37.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestCanVisit</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'yes'
> [error] Unknown resource "access"
> 
> #   Failed test 'user cannot visit 'read''
> #   at t/03-can_visit.t line 42.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestCanVisit</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'no'
> [error] Unknown resource "access"
> 
> #   Failed test 'user can visit 'read''
> #   at t/03-can_visit.t line 47.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestCanVisit</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'yes'
> # Looks like you failed 5 tests of 5.
> t/03-can_visit.t ..... 
> Dubious, test returned 5 (wstat 1280, 0x500)
> Failed 5/5 subtests 
> 
> #   Failed test 'use TestChained;'
> #   at t/04-chained.t line 13.
> #     Tried to use 'TestChained'.
> #     Error:  Can't locate Catalyst/Controller/ActionRole.pm in @INC (@INC contains: /«PKGBUILDDIR»/t/lib /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Module/Runtime.pm line 317.
> #  at /usr/lib/perl5/Moose.pm line 63
> # BEGIN failed--compilation aborted at /«PKGBUILDDIR»/t/lib/TestChained/Controller/Root.pm line 5.
> # Compilation failed in require at /usr/share/perl5/Catalyst/Utils.pm line 306.
> # Compilation failed in require at (eval 8) line 2.
> # BEGIN failed--compilation aborted at (eval 8) line 2.
> [error] No default action defined
> [error] Unknown resource "stage1/stage2/edit"
> 
> #   Failed test 'fetch /stage1/stage2/edit 403 Forbidden'
> #   at t/04-chained.t line 38.
> 
> #   Failed test 'content correct'
> #   at t/04-chained.t line 39.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestChained</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "stage1/stage2/edit"
> 
> #   Failed test 'fetch /stage1/stage2/edit 403 Forbidden'
> #   at t/04-chained.t line 43.
> 
> #   Failed test 'content correct'
> #   at t/04-chained.t line 44.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestChained</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: 'access denied'
> [error] Unknown resource "stage1/stage2/edit"
> 
> #   Failed test 'fetch /stage1/stage2/edit 200 OK'
> #   at t/04-chained.t line 48.
> 
> #   Failed test 'content correct: -stage1-stage2-edit'
> #   at t/04-chained.t line 50.
> #          got: '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
> #     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> # <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
> # <head>
> #     <meta http-equiv="Content-Language" content="en" />
> #     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
> #     <title>TestChained</title>
> #     <script type="text/javascript">
> #         <!--
> #         function toggleDump (dumpElement) {
> #             var e = document.getElementById( dumpElement );
> #             if (e.style.display == "none") {
> #                 e.style.display = "";
> #             }
> #             else {
> #                 e.style.display = "none";
> #             }
> #         }
> #         -->
> #     </script>
> #     <style type="text/css">
> #         body {
> #             font-family: "Bitstream Vera Sans", "Trebuchet MS", Verdana,
> #                          Tahoma, Arial, helvetica, sans-serif;
> #             color: #333;
> #             background-color: #eee;
> #             margin: 0px;
> #             padding: 0px;
> #         }
> #         :link, :link:hover, :visited, :visited:hover {
> #             color: #000;
> #         }
> #         div.box {
> #             position: relative;
> #             background-color: #ccc;
> #             border: 1px solid #aaa;
> #             padding: 4px;
> #             margin: 10px;
> #         }
> #         div.error {
> #             background-color: #cce;
> #             border: 1px solid #755;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.infos {
> #             background-color: #eee;
> #             border: 1px solid #575;
> #             padding: 8px;
> #             margin: 4px;
> #             margin-bottom: 10px;
> #         }
> #         div.name {
> #             background-color: #cce;
> #             border: 1px solid #557;
> #             padding: 8px;
> #             margin: 4px;
> #         }
> #         code.error {
> #             display: block;
> #             margin: 1em 0;
> #             overflow: auto;
> #         }
> #         div.name h1, div.error p {
> #             margin: 0;
> #         }
> #         h2 {
> #             margin-top: 0;
> #             margin-bottom: 10px;
> #             font-size: medium;
> #             font-weight: bold;
> #             text-decoration: underline;
> #         }
> #         h1 {
> #             font-size: medium;
> #             font-weight: normal;
> #         }
> #         /* from http://users.tkk.fi/~tkarvine/linux/doc/pre-wrap/pre-wrap-css3-mozilla-opera-ie.html */
> #         /* Browser specific (not valid) styles to make preformatted text wrap */
> #         pre {
> #             white-space: pre-wrap;       /* css-3 */
> #             white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
> #             white-space: -pre-wrap;      /* Opera 4-6 */
> #             white-space: -o-pre-wrap;    /* Opera 7 */
> #             word-wrap: break-word;       /* Internet Explorer 5.5+ */
> #         }
> #     </style>
> # </head>
> # <body>
> #     <div class="box">
> #         <div class="error"></div>
> #         <div class="infos"><pre>
> # (en) Please come back later
> # (fr) SVP veuillez revenir plus tard
> # (de) Bitte versuchen sie es spaeter nocheinmal
> # (at) Konnten's bitt'schoen spaeter nochmal reinschauen
> # (no) Vennligst prov igjen senere
> # (dk) Venligst prov igen senere
> # (pl) Prosze sprobowac pozniej
> # (pt) Por favor volte mais tarde
> # (ru) Попробуйте еще раз позже
> # (ua) Спробуйте ще раз пізніше
> # </pre>
> # </div>
> #         <div class="name"></div>
> #     </div>
> # </body>
> # </html>
> #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '
> #     expected: '-stage1-stage2-edit'
> # Looks like you failed 7 tests of 7.
> Failed 3/4 test programs. 33/35 subtests failed.
> t/04-chained.t ....... 
> Dubious, test returned 7 (wstat 1792, 0x700)
> Failed 7/7 subtests 
> 
> Test Summary Report
> -------------------
> t/02-action-class.t (Wstat: 5376 Tests: 21 Failed: 21)
>   Failed tests:  1-21
>   Non-zero exit status: 21
> t/03-can_visit.t   (Wstat: 1280 Tests: 5 Failed: 5)
>   Failed tests:  1-5
>   Non-zero exit status: 5
> t/04-chained.t     (Wstat: 1792 Tests: 7 Failed: 7)
>   Failed tests:  1-7
>   Non-zero exit status: 7
> Files=4, Tests=35,  3 wallclock secs ( 0.04 usr  0.01 sys +  2.21 cusr  0.24 csys =  2.50 CPU)
> Result: FAIL
> make[1]: *** [test_dynamic] Error 7

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/libcatalyst-actionrole-acl-perl_0.06-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680819; Package src:libcatalyst-actionrole-acl-perl. (Sun, 08 Jul 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 18:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 680819@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680819@bugs.debian.org
Subject: Re: Bug#680819: libcatalyst-actionrole-acl-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 12:14:20 -0600
[Message part 1 (text/plain, inline)]
tag 680819 + confirmed
thanks

On Sun, 08 Jul 2012 19:09:00 +0200, Lucas Nussbaum wrote:

> > #   Failed test 'use TestApp;'
> > #   at t/02-action-class.t line 13.
> > #     Tried to use 'TestApp'.
> > #     Error:  Can't locate Catalyst/Controller/ActionRole.pm in @INC (@INC contains: /«PKGBUILDDIR»/t/lib /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Module/Runtime.pm line 317.
> > #  at /usr/lib/perl5/Moose.pm line 63

This is somehow related to

  * Acknowledge the new upstream release merges
    Catalyst::Controller::ActionRole into Catalyst::Controller:
    add Conflicts/Replaces/Provides on
    libcatalyst-controller-actionrole-perl to get rid of the package.

in libcatalyst-perl (5.90013-2)

(Haven't looked further.)


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 18:15:15 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from "Jotam Jr. Trejo" <jotamjr@debian.org.sv> to control@bugs.debian.org. (Thu, 12 Jul 2012 20:54:09 GMT) Full text and rfc822 format available.

Removed tag(s) wheezy. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 02:22:20 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=78334'. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 02:23:36 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 04:00:13 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 20:18:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 20:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680819; Package src:libcatalyst-actionrole-acl-perl. (Sun, 14 Oct 2012 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 12:09:03 GMT) Full text and rfc822 format available.

Message #29 received at 680819@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: intrigeri@debian.org, 680829@bugs.debian.org, 680819@bugs.debian.org, 680843@bugs.debian.org, 680826@bugs.debian.org
Cc: debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Fixing the Catalyst development environment in Wheezy
Date: Sun, 14 Oct 2012 13:07:25 +0100
[Message part 1 (text/plain, inline)]
On Tue, 28 Aug 2012 21:07:24 +0200
intrigeri <intrigeri@debian.org> wrote:

> the Catalyst development environment is seriously broken and currently
> in Debian current testing/sid (to get and idea, see #683656, #680819,
> #680829, #680826, #665222).

Agreed.
 
> We, Debian Perl Group, would like to fix that, and we have been
> working on it during DebCamp and DebConf accordingly. Sorry for the
> delay since then.
> 
> Scope: three currently buggy packages are directly under the radar as
> far as freeze block/unblock decisions are concerned
> (libcatalystx-simplelogin-perl, libcatalyst-actionrole-acl-perl and
> libcatalyst-perl), and a few others are directly concerned due to
> being broken by the versions of libcatalyst-perl currently in testing
> and unstable.

The diffs supplied originally in August are likely to be too large to
be acceptable as unblocks and I've been wondering about an alternative
solution for Wheezy.

An alternative solution would be:

0: RM libcatalystx-simplelogin-perl
libcatalystx-simplelogin-perl |     0.15-1 | source, all
Checking reverse dependencies...
No dependency problem found.

Removal of libcatalystx-simplelogin-perl possible.

Closes: #680829 (Severity: serious)

1: RM libcatalyst-actionrole-acl-perl
libcatalyst-actionrole-acl-perl |     0.06-1 | source, all
Checking reverse dependencies...
# Broken Build-Depends:
libcatalystx-simplelogin-perl: libcatalyst-actionrole-acl-perl

Dependency problem found.

Dependency problem goes away due to 0:

Removal of libcatalyst-actionrole-acl-perl possible.

Closes: #680819 (Severity: serious)

2: RM libcatalyst-view-component-subinclude-perl
libcatalyst-view-component-subinclude-perl |     0.10-1 | source, all
Checking reverse dependencies...
# Broken Depends:
gitalist: gitalist-common

# Broken Build-Depends:
gitalist: libcatalyst-view-component-subinclude-perl (>= 0.07)

Dependency problem found.

gitalist: 
$ rmadison gitalist
 gitalist | 0.003006+dfsg-2 | sid | source
$ bts select source:gitalist severity:grave severity:serious
681435
665223

Removal of libcatalyst-view-component-subinclude-perl possible.

Closes: #680843

3: RM gitalist
gitalist | 0.003006+dfsg-2 | source
gitalist-common | 0.003006+dfsg-2 | all
gitalist-fastcgi | 0.003006+dfsg-2 | all
Checking reverse dependencies...
No dependency problem found.

Closes: #681435
Closes: #665223

Not in testing. Worth removing from unstable?

>     - update libcatalystx-simplelogin-perl to 0.17 (compatibility
>       bugfix -only release)

Instead: RM

>     - update libcatalyst-actionrole-acl-perl to 0.07 (compatibility
>       bugfix -only release)

Instead: RM

+ libcatalyst-view-component-subinclude-perl, possibly remove gitalist
from unstable.

I'll file the three RM bugs against release.debian.org (for removal
from testing only) later today. I haven't decided whether it's worth
removing gitalist at this stage.

The one problematic bug is #680826 in
libtest-www-mechanize-catalyst-perl

libtest-www-mechanize-catalyst-perl |     0.57-1 | source, all
Checking reverse dependencies...
# Broken Depends:
libcatalyst-modules-perl: libcatalyst-modules-perl

# Broken Build-Depends:
gitalist: libtest-www-mechanize-catalyst-perl
libcatalyst-modules-perl: libtest-www-mechanize-catalyst-perl
libcatalyst-plugin-unicode-encoding-perl:
libtest-www-mechanize-catalyst-perl libmojomojo-perl:
libtest-www-mechanize-catalyst-perl

gitalist isn't a problem, libcatalyst-modules-perl and libmojomojo-perl
are problems for fixing #680826.

However, the original email to debian-release did not cover how that
particular bug was to be fixed either.

http://lists.debian.org/debian-release/2012/08/msg01479.html


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680819; Package src:libcatalyst-actionrole-acl-perl. (Sun, 14 Oct 2012 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 14 Oct 2012 14:39:06 GMT) Full text and rfc822 format available.

Message #34 received at 680819@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: intrigeri@debian.org, 680829@bugs.debian.org, 680819@bugs.debian.org, 680843@bugs.debian.org, 680826@bugs.debian.org, debian-release@lists.debian.org, debian-perl@lists.debian.org
Subject: Re: Fixing the Catalyst development environment in Wheezy
Date: Sun, 14 Oct 2012 16:37:22 +0200
[Message part 1 (text/plain, inline)]
On Sun, 14 Oct 2012 13:07:25 +0100, Neil Williams wrote:

> The diffs supplied originally in August are likely to be too large to
> be acceptable as unblocks and I've been wondering about an alternative
> solution for Wheezy.

Thanks for looking into this; but I'd rather have an opinion from the
release team before we start to remove half of Catalyst from wheezy
(and leaving the other half in a broken state).
 
> The one problematic bug is #680826 in
> libtest-www-mechanize-catalyst-perl

I don't think so ...
 
> gitalist isn't a problem, libcatalyst-modules-perl and libmojomojo-perl
> are problems for fixing #680826.
> 
> However, the original email to debian-release did not cover how that
> particular bug was to be fixed either.
> 
> http://lists.debian.org/debian-release/2012/08/msg01479.html
 
... because it builds fine against the new Catalyst:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680826#13
(also mentioned in the above mail)

Cheers,
gregor 
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: R.E.M.: All The Way To Reno
[signature.asc (application/pgp-signature, inline)]

Reply sent to jotamjr@debian.org.sv (Jotam Jr. Trejo):
You have taken responsibility. (Mon, 15 Oct 2012 21:06:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 15 Oct 2012 21:06:07 GMT) Full text and rfc822 format available.

Message #39 received at 680819-close@bugs.debian.org (full text, mbox):

From: jotamjr@debian.org.sv (Jotam Jr. Trejo)
To: 680819-close@bugs.debian.org
Subject: Bug#680819: fixed in libcatalyst-actionrole-acl-perl 0.07-1
Date: Mon, 15 Oct 2012 21:02:50 +0000
Source: libcatalyst-actionrole-acl-perl
Source-Version: 0.07-1

We believe that the bug you reported is fixed in the latest version of
libcatalyst-actionrole-acl-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680819@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jotam Jr. Trejo <jotamjr@debian.org.sv> (supplier of updated libcatalyst-actionrole-acl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 13 Jul 2012 11:29:42 -0600
Source: libcatalyst-actionrole-acl-perl
Binary: libcatalyst-actionrole-acl-perl
Architecture: source all
Version: 0.07-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jotam Jr. Trejo <jotamjr@debian.org.sv>
Description: 
 libcatalyst-actionrole-acl-perl - Catalyst ActionRole for user role-based authorization
Closes: 680819
Changes: 
 libcatalyst-actionrole-acl-perl (0.07-1) unstable; urgency=low
 .
   * Imported Upstream version 0.07
   * debian/control:
     + added versioned dependency against libcatalyst-perl >= 5.90013
       since the new changes provided by upstream rely on changes in
       libcatalyst-perl 5.90013 and later versions
     + removed libcatalyst-controller-actionrole-perl from the dependencys
       because Catalyst::Controller::ActionRole is provided by
       libcatalyst-perl since version 5.90013
   * Added myself to Uploaders and Copyright
   * This new version use Catalyst::Controller instead of
     Catalyst::Controller::ActionRole fixing FTBFS (Closes: #680819)
Checksums-Sha1: 
 c5da7aa9208df7fb7c64f199048ac36c4a7ea4fb 2326 libcatalyst-actionrole-acl-perl_0.07-1.dsc
 b35febfee46fa4ac5b1c40fb9f09fe236c28a759 26052 libcatalyst-actionrole-acl-perl_0.07.orig.tar.gz
 e83e219d9f8198be51f041c3f713aa7912ae520c 1747 libcatalyst-actionrole-acl-perl_0.07-1.debian.tar.gz
 b8cb701f11835f56330abf6fdaa68eb85006dcfd 11734 libcatalyst-actionrole-acl-perl_0.07-1_all.deb
Checksums-Sha256: 
 291c525cb3620055db6934ae0a1cb49bd8c82ee8859a1c6cd5a9913bed50a1b4 2326 libcatalyst-actionrole-acl-perl_0.07-1.dsc
 1af0fa5d6d38e8edf6b6c5349b69f03cc541b68d700aaf782196f4e3f2bbf816 26052 libcatalyst-actionrole-acl-perl_0.07.orig.tar.gz
 6f45b9059dc69b51478042727c2237478b6c94968751af349da29663c5bd8320 1747 libcatalyst-actionrole-acl-perl_0.07-1.debian.tar.gz
 d6cb69b79017140e3bce0ca3fcf333ddf8810937dd2f6e563434a0b11e2312ab 11734 libcatalyst-actionrole-acl-perl_0.07-1_all.deb
Files: 
 0e77e90f712f1931c8a84990da185f50 2326 perl optional libcatalyst-actionrole-acl-perl_0.07-1.dsc
 e4296bf6ce02dcf07190cc8355a7b57c 26052 perl optional libcatalyst-actionrole-acl-perl_0.07.orig.tar.gz
 bd23a8b399faf5aeca25026b030cb979 1747 perl optional libcatalyst-actionrole-acl-perl_0.07-1.debian.tar.gz
 cf1d047f5ff2f158f69fef74d49c62fc 11734 perl optional libcatalyst-actionrole-acl-perl_0.07-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIbBAEBCgAGBQJQfHd1AAoJELrOFdKldJj/AeIP+MJul+5oh9wyTDJH0zuM8ej1
3unLiFb1QGYi1o+UxecjbEO6lWXhPWsZkNivJiCA/tPkY9NNDvTe2U2q8jPkPMrO
ehqeNBfodHlnUkmar7U5v6ae/SIgwh3TkFYfNeztQD6q2IGU+yI1A8HjfE2Nze4O
q6aWzN2HeV7Uv5OvvnZhOdOshYteHSXgI/9+vmqpl/jYn9Xaobk3pEiOlotOwfmv
+nrytXZ4ytYnZqsJFGwhNC9eK8J1ZMGGFfLSdKwwV8P82WHYkJM4qc3NzcFei7FB
KKnubTBI5ybqRtKi09uJkDHQUBUUDKEBoTsJTPiDR0PXBAbsXzvdrJcCfAUHzY9f
FoeFrndRCfTgIBeGcyE/xqfTq8vAZsSax1hV60rOu1RHyuGIAT+xa2IZtBQU2D5S
gxBxZOaLKk5+9olr268d2VG8cH2ao1MazPdBXmced+Cv/fLIfUcpnfPkgzP3gZIW
rJt32W9Vow8wARx9YpstOGQXegYKAgEZMPBjKrAHobIyUiES2fd/axA8IPYC5h4+
MHnK4R94zSSy+86oGoAkG8nXMWET4zBzrM2mLfyq2KgiM/qaXTBuF/EZTBlF/ZoY
hINNksJ0z6kJfk0ZbiKqd7Wa4K5vzs0rj/bvY8j7QOmqcghCUq3tsj+kZMv8Bfn0
FisvjZMkGuWueTO1WH0=
=ImkS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Nov 2012 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:24:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.